Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1014767 - text configuration file interpreted as binary when uploaded through spacecmd
Summary: text configuration file interpreted as binary when uploaded through spacecmd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 1.8
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space22
TreeView+ depends on / blocked
 
Reported: 2013-10-02 17:48 UTC by helfman
Modified: 2014-07-17 08:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 08:41:33 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1014765 0 unspecified CLOSED uploading configuration file using 'spacecmd system_addconfigfile' interpreted as binary 2021-02-22 00:41:40 UTC

Description helfman 2013-10-02 17:48:34 UTC
Description of problem:
If a configuration file is uploaded through spacecmd, it is interpreted as binary.
When changing it to text in the webui, and submitting this change. It will be reset to binary straight away.

Version-Release number of selected component (if applicable):
1.8

How reproducible:
Upload a text file through spacecmd
Attempt to change to 'text' in the webui for the configuration file, assuming it is noted as 'binary'

Expected results:
File should be 'text' when changed from 'binary'

Comment 1 Stephen Herr 2013-10-02 18:43:07 UTC
A workaround for this issue is to change anything else (like the file permissions for example) about the file when you try to updated and set the file to 'text'. The update will then take, and you can then set the file permissions (or whatever) back the way it was before.

Comment 2 Stephen Herr 2013-10-02 18:49:09 UTC
Except when I do that it zeros out the content. :(
Don't try the workaround in comment 1 yet.

Comment 3 Stephen Herr 2013-10-02 20:17:18 UTC
The "zeroing out the data" bug has been filed as bug 1014800. I think there's a good bit of re-architecting that needs to be done to make this all work right.

Comment 4 helfman 2013-10-04 02:22:01 UTC
Correction to this:

Expectation is that the file should be interpreted correctly as text when uploaded, and it should not require an additional step (even if that step at the moment doesn't work).

Comment 5 Milan Zázrivec 2014-02-28 11:33:35 UTC
This is now fixed with the following commits:

    48248b7818e8b09bf25c6407c1d285baa1cca857
    6daf599d669ec8b2f835991f0e30ac341e7f1d41

and in the following spacecmd build:

    spacecmd-2.1.25-1

Comment 6 Milan Zázrivec 2014-07-17 08:41:33 UTC
Spacewalk 2.2 has been released:

    https://fedorahosted.org/spacewalk/wiki/ReleaseNotes22


Note You need to log in before you can comment on or make changes to this bug.